Subject: Re: [PATCH v5 0/4] uaccess: Prepare for masked user access on powerpc

From: Thomas Gleixner <[email-masked]>
Date: Tue, 18 Nov 2025 15:29:29 +0100

On Mon, Nov 17 2025 at 17:43, Christophe Leroy wrote:
> This is v5 of the series "powerpc: Implement masked user access". This
> version only includes the preparatory patches to enable merging of
> powerpc architecture patches that depend on them on next cycle.
>
> It applies on top of commit 6ec821f050e2 (tag: core-scoped-uaccess)
> from tip tree.
>
> Thomas, Peter, could you please take those preparatory patches
> in tip tree for v6.19, then Maddy will take powerpc patches
> into powerpc-next for v6.20.

I've applied them to tip core/uaccess, which contains only the uaccess
related bits. That branch is immutable and could be consumed by PPC if
required.

Thanks,

        tglx